Bug 1015781 - Immediate Stop of JBoss Node – once stop server action should stop receiving new request of http,ejb etc. and stop the server quickly
Immediate Stop of JBoss Node – once stop server action should stop receiving ...
Status: NEW
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Server (Show other bugs)
6.1.0
All All
unspecified Severity urgent
: ---
: ---
Assigned To: Jason Greene
eap-docs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-05 07:03 EDT by kashi
Modified: 2017-10-09 20:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kashi 2013-10-05 07:03:42 EDT
Description of problem:
Immediate Stop of JBoss Node – once stop server action should stop receiving new request of http,ejb etc. and  stop the server quickly


Version-Release number of selected component (if applicable):


How reproducible:
Steps to Reproduce:
1. Deploy a EJB in server domain node
2. execute a client for ejb in a loop of say 200 times
3. In same time stop server, It will take a time until all this EJB client call completes
4.Then server node stop in Admin console

Actual results:

It takes time to complete all EJB calls to complete before stopping jboss node.

Expected results:

New request of http/ejb clint call should be stopped  and server should be stopped

completed 
Additional info:
Comment 1 Dimitris Andreadis 2013-10-24 13:41:11 EDT
This is a long standing feature request, likely not to be included in EAP6.x

https://issues.jboss.org/browse/WFLY-1247
Comment 2 Dimitris Andreadis 2013-10-24 13:43:18 EDT
https://issues.jboss.org/browse/EAP6-7

Note You need to log in before you can comment on or make changes to this bug.